<?xml version="1.0" encoding="UTF-8"?>
<Configuration>
    <Appenders>
        <Console name="Console" target="SYSTEM_OUT">
            <PatternLayout pattern="%highlight{[%-5level]%msg}%n"/>
        </Console>
        <RollingFile name="RollingFile" fileName="${sys:catalina.home}/logs/current.log"
                     filePattern="logs/$${date:yyyy-MM}/app-%d{dd-MM-yyyy}-%i.log">
            <PatternLayout pattern="%d{HH:mm:ss.SSS} [%-5level] [%t] %logger{-3}: %msg%n"/>
            <Policies>
                <SizeBasedTriggeringPolicy size="1 MB"/>
            </Policies>
        </RollingFile>
    </Appenders>
    <Loggers>
        <Root level="DEBUG">
            <AppenderRef ref="RollingFile"/>
            <AppenderRef ref="Console"/>
        </Root>
    </Loggers>
</Configuration>